package util.network.simulator.packet

import util.network.simulator.Address

data class NetworkPacket(
    override val senderAddress: Address,
    override val receiverAddress: Address
) : Packet

data class NetworkPacketPrototype(
    override val senderAddress: Address
): PacketPrototype {
    fun makePacket(receiverAddress: Address): NetworkPacket {
        return NetworkPacket(senderAddress, receiverAddress)
    }
}
